Bug 437007 - Use case description of authmethod bind rule could be missleading
Summary: Use case description of authmethod bind rule could be missleading
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Deon Ballard
QA Contact: Content Services Development
URL: http://www.redhat.com/docs/manuals/di...
Whiteboard:
Keywords: Documentation
Depends On:
Blocks: 249650
TreeView+ depends on / blocked
 
Reported: 2008-03-11 16:42 UTC by Chris Evich
Modified: 2009-08-20 03:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 22:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evich 2008-03-11 16:42:13 UTC
Description of problem:
Section 6.4.9 is confusing regarding the use of authmethod="ssl".  This bind
rule reads as if it performs a similar function to the "ssf" ACI option in
openssl - limiting operations based on the encryption being used.

See Bug 436979 for reference.  

I recommend making the description clearer in the admin guide, or at least
adding a "info" box describing authmethod="ssl" as in comment 1 from bug 436979

Comment 1 Chris Evich 2008-03-11 16:43:18 UTC
> I guess the documentation is not clear.  The authmethod keyword is for
> authentication method e.g. what credentials and what mechanism did the user
> present to authenticate to the directory.  "ssl" means that the user provided a
> user certificate (or smart card, or some other pki device) to authenticate to
> the directory.
> 
> Unfortunately, there is no way, using access control, to specify that the
> connection must have a certain level of protection.  For example, with openldap,
> you can say ssf=56 meaning the connection must have SSF level 56 or higher to
> connect (e.g. TLS/SSL or SASL using DES).

Comment 2 Deon Ballard 2009-05-01 22:05:25 UTC
Tried to clarify both the initial introduction and the example text:http://www.redhat.com/docs/manuals/dir-server/8.1/admin/Managing_Access_Control-Bind_Rules.html#Bind_Rules-Defining_Access_Based_on_Authentication_Method

This is live for 8.1 and will soon be in 8.0. Closing.


Note You need to log in before you can comment on or make changes to this bug.